#include <stdio.h>
#include "sysp.h"


void main(void);
void main(void) {

	int i, j;

	printf("\nГенератор случайных числел."
			 "\nНажмите любую клавишу,"
			 "\nдля завершения работы нажмите CTRL-C."
			 "\n");

	for(;;) {

// Устанавливаем диапазон генерации случайных
// чисел и инициализируем таймер

		rnd_set(80);

// Ожидаем нажатия клавиши.

		getch();

// После нажатия на клавишу получаем
// случайное число

		j = rnd_get();

// Выводим на экран строку символов "█",
// длина которой равна полученному случайному
// числу.

		for(i=0; i < j; i++) putchar(219);

		printf("\n");
	}

}
